> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a configuration file



## OpenAPI

````yaml /api-reference/4.2/service-solrconfig.json post /collections/{collection}/solr-config/{path}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service solrconfig
servers:
  - url: /api/apollo/
security: []
tags:
  - name: solrconfig
paths:
  /collections/{collection}/solr-config/{path}:
    post:
      tags:
        - 4.2 Solr Config API
      summary: Add a configuration file
      operationId: postFile
      parameters:
        - name: collection
          in: path
          description: The collection that contains the configuration files
          required: true
          schema:
            type: string
        - name: path
          in: path
          description: >-
            The path to a specific file or nested child nodes. If the file is
            not nested, the filename can be entered without any path information
          required: true
          schema:
            type: string
            pattern: .*
        - name: reload
          in: query
          description: >-
            'True' to reload the collection and make the changes available to
            Solr immediately.
          required: false
          schema:
            type: boolean
            default: false
        - name: validate
          in: query
          description: Validate the configuration file before saving it
          required: false
          schema:
            type: boolean
            default: true
        - name: If-Match
          in: header
          description: An entity tag to match against the specified blob
          required: false
          schema:
            type: string
            default: '"0"'
      requestBody:
        $ref: '#/components/requestBodies/postFileBody'
      responses:
        default:
          description: successful operation
components:
  requestBodies:
    postFileBody:
      content:
        '*/*':
          schema:
            type: array
            items:
              type: string
              format: byte
      description: The content of the file to be saved

````